| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::AbstractNode Class Referenceabstract
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::AbstractNode:
[legend]

## Public Member Functions
| AbstractNode (AbstractNode *ptr)
virtual | ~AbstractNode ()
virtual AbstractNode * | clone () const =0
| Returns a new AbstractNode which is a replica of this one. More...
virtual const String & | getValue () const =0
| Returns a string value depending on the type of the AbstractNode. More...

## Public Attributes
Any | context
String | file
unsigned int | line
AbstractNode * | parent
AbstractNodeType | type

## Constructor & Destructor Documentation

## ◆ AbstractNode()

Ogre::AbstractNode::AbstractNode | ( | AbstractNode * | ptr | ) |

## ◆ ~AbstractNode()

virtual Ogre::AbstractNode::~AbstractNode | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ clone()

virtual AbstractNode* Ogre::AbstractNode::clone | ( |  | ) | const
| pure virtual

Returns a new AbstractNode which is a replica of this one.

Implemented in Ogre::VariableAccessAbstractNode, Ogre::ImportAbstractNode, Ogre::PropertyAbstractNode, Ogre::ObjectAbstractNode, and Ogre::AtomAbstractNode.

## ◆ getValue()

virtual const String& Ogre::AbstractNode::getValue | ( |  | ) | const
| pure virtual

Returns a string value depending on the type of the AbstractNode.

Implemented in Ogre::VariableAccessAbstractNode, Ogre::ImportAbstractNode, Ogre::PropertyAbstractNode, Ogre::ObjectAbstractNode, and Ogre::AtomAbstractNode.

## Member Data Documentation

## ◆ file

String Ogre::AbstractNode::file

## ◆ line

unsigned int Ogre::AbstractNode::line

## ◆ type

AbstractNodeType Ogre::AbstractNode::type

## ◆ parent

AbstractNode* Ogre::AbstractNode::parent

## ◆ context

Any Ogre::AbstractNode::context

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h